# Uses of Class
org.apache.lucene.codecs.uniformsplit.sharedterms.STBlockLine

Packages that use STBlockLine
Package
Description
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of STBlockLine in org.apache.lucene.codecs.uniformsplit.sharedterms

  Methods in org.apache.lucene.codecs.uniformsplit.sharedterms with parameters of type STBlockLine
  Modifier and Type
  Method
  Description
  `void`
  STBlockLine.Serializer.`writeLineTermStates(DataOutput termStatesOutput, STBlockLine line, DeltaBaseTermStateSerializer encoder)`
  Writes all the `BlockTermState` of the provided `STBlockLine` to the given output.